import baseAxios from "../index";
import { iContactPerson } from "@/types/chat/index";

export function getStaffOnDutyStatus() {
  return baseAxios<boolean>({
    url: "/staff/on_duty",
    method: "get",
  });
}

export function enableLive() {
  return baseAxios({
    url: "/staff/enable_live",
    method: "get",
  });
}

export function staffGetUsers(data: {
  is_desc: boolean;
  order_by: string;
  page: number;
  page_size: number;
}) {
  return baseAxios<{ item: iContactPerson[]; total: number }>({
    url: "/staff/myUsers",
    method: "get",
    params: data,
  });
}
